Quarterdeck Technical Note
by Dan Travison 10-30-89

                   Creating FIXINT1.COM using DEBUG


   We have found compatability problems between QEMM versions 4.23 and
earlier with some programs that use INT 1.  The following describes how
to create a command file (FIXINT1.COM) that can be run in your
AUTOEXEC.BAT to prevent this conflict.  FIXINT1.COM is not necessary
if you have QEMM 5.0 or later.


NOTE:    In the DEBUG examples below, I have placed the characters you will
         be typing inside square brackets.  When you see [SPACE] in the
         examples, you should press the SPACE bar.  When you see
         [ENTER] you should press the enter key.  In all other cases,
         type the characters as they appear in the brackets. You should
         not type in the brackets that surround these keys.

STEP 1:  Go to the directory where DEBUG.COM is located and type:

         DEBUG FIXINT1.COM

         at the command line.  DEBUG should load and give you a message
         'File not found' and leave you at a prompt (A Hyphen)

STEP 2:  At the prompt type E 0100 and press the ENTER key.

         -[E][SPACE][0100][ENTER]

STEP 3:  You should get a line the looks similar to the following:

         4FDF:0100  00.

         The 4FDF and 00 will be different for your system and can be
         ignored. The 0100 must be correct.  If not, press ENTER
         and go back to STEP 2.
STEP 4:  Next we are going to type in seven, two character values and press
         the space bar after value.  Each time you press the space bar
         DEBUG will extend the line and move the cursor.
         Below is an example.  The values we will be using are
         0F 21 C0 0F 23 C0 C3.

         4FDF:0100  00.           (this is how the line looks when you start)

         4FDF:0100  00.[0F][SPACE]

         4FDF:0100  00.0F  00.[21][SPACE]

         4FDF:0100  00.0F  00.21  00.[C0][SPACE]

         4FDF:0100  00.0F  00.21  00.C0  00.[0F][SPACE]

         4FDF:0100  00.0F  00.21  00.C0  00.0F  00.[23][SPACE]

         4FDF:0100  00.0F  00.21  00.C0  00.0F  00.23  00.[C0][SPACE]

         4FDF:0100  00.0F  00.21  00.C0  00.0F  00.23  00.C0  00.[C3][SPACE]

         4FDF:0100  00.0F  00.21  00.C0  00.0F  00.23  00.C0  00.C3  00.

         Your line should now look like the one above.  At this point,
         press the ENTER key.

STEP 5:  The next step is to verify what we just typed using the DEBUG
         unassemble command.  At the DEBUG prompt type U L7 and press the
         ENTER key.

         -[U][SPACE]100[SPACE]L7[ENTER]

         You will get a display that contains the following 5 lines.


         4FDF:0100 0F            POP     CS
         4FDF:0101 21C0          AND     AX,AX
         4FDF:0103 0F            POP     CS
         4FDF:0104 23C0          AND     AX,AX
         4FDF:0106 C3            RET
           

STEP 6:  Again, 4FDF can be ignored.  All other information should look
         exactly like what is above.  If it does not, go back to STEP 2 and
         try this again.

STEP 7:  The next step is to tell DEBUG the size.  Type
         RCX at the DEBUG prompt and press the ENTER key.

         -[RCX][ENTER]
         You will get 2 lines that looks similar the two below.

         CX 0000
         :

         At the colon type the number 7 and press the ENTER key.

         CX 0000
         :[7][ENTER]

STEP 8:  The final step is to write the data to disk.  At the DEBUG prompt
         type W and press the enter key.

         -[W][ENTER]

         You should get the following message:

         'Writing 0007 bytes'

         and the DEBUG prompt. To quit DEBUG press Q and press the
         ENTER key.

         -[Q][ENTER]

         You will now have a file called FIXINT1.COM in the directory
         where you started DEBUG.  You can now copy it to the
         directory where you want it to be located.  If you copy it
         to the root directory of the drive you boot from, it will be
         found automatically.


                              USING FIXINT1.COM


         To use FIXINT1.COM place it in your AUTOEXEC.BAT file.  You may
         want to place it at the begining to be sure it is run before the
         program that is causing the problem.  If it will not be located
         in your root directory, you may need to specify the full path
         in AUTOEXEC.BAT for it to execute correctly.  The following line
         shows FIXINT1.COM  if it is located in the subdirectory C:\UTILITY.

         C:\UTILITY\FIXINT1

         If you are not succesful in creating FIXINT1.COM you may call into
         our Bulletin Board service at 213-396-3904.  You should download
         FIXINT1.ARC and ARCE.COM from directory 45.  ARCE.COM is used
         to extract FIXINT1's files from FIXINT1.ARC.  Your modem should
         be set to * bits, No Parity and 1 Stop Bit.

             * * *   E N D   O F   F I L E    * * * 
