







		Quarterdeck Technical Note

		Patching COMMAND.COM on the NEC ProSpeed 386 to 
              prevent Exception #13 messages when QEMM-386 is 
              active

		Background: The NEC ProSpeed 386 comes with a 
              version of MS-DOS that is modified to accommodate 
              certain hardware features of the system.  In 
              particular, both IO.SYS and COMMAND.COM issue one 
              protected mode instruction to read the contents of 
              an 80386 control register.  We believe that this 
              command is part of an attempt to determine whether 
              the system is attached to its optional "docking 
              station," which can contain additional hardware for 
              the system's use.  QEMM-386, Quarterdeck's 386 
              memory manager, is loaded after IO.SYS but before 
              COMMAND.COM; if QEMM-386 is in an ON state (which 
              can happen for various reasons, including the use 
              of QEMM.SYS's RAM or ROM parameters), the machine 
              will be in virtual 8086 mode when COMMAND.COM 
              issues its protected mode instruction, and QEMM-386 
              will halt the system and pass along the "Exception 
              #13" (protection exception) that the 80386 
              processor generates in such circumstances.  
              Typically the user sees this message after the 
              completion of the CONFIG.SYS routine and before the 
              AUTOEXEC.BAT executes; the message can also occur 
              at various other times when COMMAND.COM is loaded 
              again.  The user is given the option of continuing 
              operation after the Exception #13 message, in which 
              case QEMM-386 turns itself OFF and attempts to 
              restore the state of the computer as it was before 
              QEMM-386 was loaded; the difficulty of restoring 
              the system properly can result in instability after 
              the Exception #13 message is passed.  

		The following procedure is intended to prevent 
              the "Exception #13" messages that are generated 
              after the CONFIG.SYS file completes loading (and at 
              other times) on the NEC ProSpeed 386 when QEMM-386 
              is in the ON state.

		-------------------------------------------------












		1) Make a bootable DOS diskette with the DOS that 
		comes with the NEC machine.  We are about to 
              alter the COMMAND.COM on the machine's hard disk; 
              the COMMAND.COM on the bootable floppy will serve 
              as a backup in case this operation fails.

		2) Go to the DOS directory on the hard disk and 
              type:

	          DEBUG C:\COMMAND.COM 

		(If your COMMAND.COM is not located in the root 
              directory of the C: drive, change the path 
              accordingly.)

		Hit the Enter key; you should the the DEBUG 
              prompt, which is a hyphen.

		3) At the DEBUG prompt, type:

	          S 100 L 6000 F 20 C0

		Hit the Enter key; DEBUG should return a segment 
              address and an offset:

	          xxxx:yyyy

		 4) At the DEBUG prompt again, use the address 
              and offset that was just returned to give the DEBUG 
              command:

	          E xxxx:yyyy EB 1

	 	The address that DEBUG returned in step 3 should 
              be used in place of the address xxxx:yyyy, which we 
              use as an example.  Hit the Enter key; the DEBUG 
              prompt should return in a moment.

		5) At the DEBUG prompt, type

	          W

		Hit the Enter key; DEBUG will announce that it is 
              writing a certain number of bytes, then it will 
              return the DEBUG prompt.

		6) At the DEBUG prompt, type

	          Q

		Hit the Enter key to exit DEBUG and return to DOS.

		--------------------------------------------------









		If the system fails after you perform this patch, 
              use the bootable DOS floppy to start the system, 
              then at the A: prompt, type:

	          COPY COMMAND.COM C:\

		(If your COMMAND.COM is not located in the root 
              directory of the C: drive, change the path 
              accordingly.)

		You may then wish to try the above procedure 
              again, in case a mistake was made.

		Our current belief is that this patch may 
              interfere with the machine's normal operation if 
              you are loading the program VM/386.  Otherwise, we 
              expect no problems as a result of this patch.

             * * *   E N D   O F   F I L E    * * *
