MANIFEST Technical Note
by Dan Travison

The following is designed to eliminate the Exception #13 message 
generated when MANIFEST runs on the UNISYS PW850 system.  This patch
may also apply to other Mitsubishi systems with the same symptoms.
Please read this entire text before attempting the patch.  If you are
unsure of how to perform any of the steps talk to a fellow user that
is familiar with DOS or contact your company's PC support department.

Symptoms:

   MANIFEST causes an exception #13 when started.  When the system is
   booted without the autoexec.bat and config.sys files, the error
   does not occur.

STEP 1: Boot a clean system

You will need to boot the system without a config.sys and autoexec.bat 
file. After you have rebooted, switch to the drive and subdirectory where 
MFT.EXE is located.  For example, if you boot from a floppy diskette the
following commands would be used if MFT.EXE is located in the C:\QEMM
directory.

	 C:
         CD \QEMM

STEP 2: Collect information to be used for the MANIFEST Patch

Run MANIFEST using the command MFT.

         MFT

Display the First Meg Interrupts and list by number.

         F I {F3}    <- The F3 key is used here

Press Page down to display the second page of information
You should see information similar to the following:



   INT 10: Video               C000:06B0 Video ROM
   INT 11: Equipment           F000:F84D System ROM
   INT 12: Memory Size         F000:F841 System ROM
   INT 13: Disk Request        0070:1F51 IBMBIO
   INT 14: Communications      F000:E739 System ROM
** INT 15: System Services     F000:F859 System ROM ****
   INT 16: Keyboard Request    F000:E82E System ROM
   INT 17: Printer Request     F000:EFD2 System ROM
   INT 18: IBM Basic           F000:E000 System ROM
   INT 19: Bootstrap           0070:1A7C IBMBIO
   INT 1A: System Timer        F000:FE6E System ROM
   INT 1B: Keyboard ^Break     0070:0788 IBMBIO
   INT 1C: User Timer Tick     F000:FF53 System ROM
   INT 1D: Video Parameters    C000:0085 Video ROM
   INT 1E: Diskette Parameters 0000:0522 System Data
   INT 1F: Graphics Characters C000:0C00 Video ROM
               Press F3 to list by Owner
              Press PgUp / PgDn for More


The information you need to record in for INT 15.

   INT 15: System Services     F000:F859 System ROM
                               ^^^^ ^^^^
                                 |   |
                            SEGMENT  OFFSET

MANIFEST shows an address that has two parts, a SEGMENT and an OFFSET.
In the example above for INT 15, the SEGMENT portion is F000 and the
OFFSET protion is F859.  Write down the OFFSET portion that appears
on your MANIFEST screen for INT 15 since we will need this later.

Most of you will see a value of F068 for the OFFSET. Some systems
may have other values.  However, if the offset shown on your
MANIFEST screen is F859 this patch DOES NOT apply to you.
You should call or fax our technical support department
for further assistance.

STEP 5: Restore your system to its previous state.

You may now reboot your system with your original config.sys and 
autoexec.bat.  If you booted from a floppy drive, open the drive 
door and reboot from your hard drive.

STEP 6: Patching MFT.EXE

   a) Switch to the directory where MFT.EXE is located.  This is normally
      the directory where you installed QEMM.

   b) Copy MFT.EXE to MFT.OLD using the following command.  You can use
      MFT.OLD later if you make a mistake and want to restore MFT.EXE.

      COPY MFT.EXE MFT.OLD

   c) Rename MFT.EXE to MFT.EXT using the following command:

      RENAME MFT.EXE MFT.EXT

   d) Load MFT.EXT into DEBUG.  Normally DEBUG is located in your DOS
      directory.  The following command would load MFT.EXT into DEBUG
      when DEBUG is located in the DOS subdirectory on drive C:

      C:\DOS\DEBUG MFT.EXT

      If you get a Bad Command or Filename message and are left at
      the DOS prompt, you will need to find where DEBUG.COM is located
      or borrow it from someone.

      If you get the message 'File not found' and are left at a
      hyphen (-) prompt, type Q and press ENTER to exit DEBUG
      and try the above command again.  Make sure you have DEBUG.COM and
      also make sure MFT.EXT exists.  You may have typed the rename 
      command incorrectly and not renamed MFT.EXE to MFT.EXT. DEBUG will
      leave you at a 'dash' prompt.  The following are the commands you
      need to type to patch MANIFEST.


Using DEBUG:DEBUG will display information that will be different
            from system to system. I will fill those positions in 
            with an X to indicate such.  All other values should 
            appear exactly as shown. The four character OFFSET you
            recorded above will need to be separated into two halves,
            the first two characters and the last two.  Many of you
            will have an OFFSET of F068.  The first part is F0 and
            the second is 68.  DEBUG needs this information in the
            opposite order.  You will be entering 68 first and F0
            second.  See below for more details.  Also, DEBUG uses
            a hyphen (-) as a prompt.  This is where you type
            commands to DEBUG.

Type the following at the DEBUG prompt and press enter:
      
S 100 LF000 59 F8

you should see the following two lines followed by another prompt:

XXXX:51EF
XXXX:5203
-

These are the two areas we need to patch, 51EF and 5203.

type the following at the prompt and press enter:
         
E 51EF

DEBUG will display the following:

XXXX:51EF  59._


Type the LAST two characters of your OFFSET where the cursor appears:

XXXX:51EF  59.68              (you type 68 if your OFFSET is F068)

Next press the space bar to get the next display:
              
XXXX:51EF  59.68   F8._

Type the FIRST two characters of your OFFSET where the cursor appears:

XXXX:51EF  59.68   F8.F0      (you type F0 if your OFFSET is F068)

Next press the space bar to get the next display:

XXXX:51EF  59.68   F8.F0   74._

If your line now looks like the line above you may press enter and go 
to the next step.  If not, go back to the line above that has the
E 51EF and try this again.

Next, we need to perform the same steps for the second OFFSET, 5203.

At the DEBUG prompt type the following and press enter:

E 5203

DEBUG will display the following:

XXXX:5203  59._


Type the LAST two characters of your OFFSET where the cursor appears:

XXXX:5203  59.68              (you type 68 if your OFFSET is F068)

Next press the space bar to get the next display:

XXXX:5203  59.68   F8._

Type the FIRST two characters of your OFFSET where the cursor appears:

XXXX:5203  59.68   F8.F0      (you type F0 if your OFFSET is F068)

Next press the space bar to get the next display:

XXXX:5203  59.68   F8.F0   00._

If your line now looks like the line above you may press enter and go
to the next step.  If not, go back to the line above that has the
E 5203 and try this again.

After you successfully fixed 51EF and 5203, you can write your changes
back to disk using the DEBUG W command.  At the prompt type W and
press enter.

-W

You should get the following message from DEBUG:

Writing 1206A bytes

You can now quit DEBUG by typing Q at the prompt and pressing enter.
If you wish to abort this patch, you may press Q and ENTER at any
DEBUG prompt.

At the DOS prompt you should now rename MFT.EXT to MFT.EXE using the
following commmand:

RENAME MFT.EXT MFT.EXE

Your copy of MANIFEST should now work correctly on your system.  You should
NOT try to run it on another system since it may not work correctly.  This
patch is specific to your hardware setup.  You should not use this copy
of MANIFEST on another machine.

If MANIFEST now functions correctly, you can erase the file MFT.OLD since
you do not need it any longer.  If it does not then copy MFT.OLD to MFT.EXT
using the following command:

COPY MFT.OLD MFT.EXT

Go back to step one and try it again.  You may want to ask someone else
to assist you or try the patch if you are not sure you are performing
the steps correctly.

        Copyright (C) 1990 by Quarterdeck Office Systems
             * * *   E N D   O F   F I L E    * * * 
